package com.notuvy.util;


import com.notuvy.condtrig.Consequent;

/**
 * Create a consequent that is a ValueHolder so that actions can be taken (by an attached handler) when the value is recomputed.
 *
 * @author murali
 */
public class BooleanFlag extends ValueHolder<Boolean> implements Consequent {

    //------------------------------------------------------------
    //- Class Variables



    //------------------------------------------------------------
    //- Class Functions


    //------------------------------------------------------------
    //- Instance Variables


    //------------------------------------------------------------
    //- Constructors

    public BooleanFlag(Boolean pValue) {
        super(pValue);
    }


    //------------------------------------------------------------
    //- Gettors


    //------------------------------------------------------------
    //- Settors


    //------------------------------------------------------------
    //- Private/Protected Utility Functions


    //------------------------------------------------------------
    //- Public Interface Functions


    //------------------------------------------------------------
    //- Class Interface Functions

    public void handle(boolean pValue) {
        set(pValue);
    }


    //------------------------------------------------------------
    //- Inner Classes


    //------------------------------------------------------------
    //- Main


}
